Subject: Re: bug#17115: 24.3.50; possible bug in drawing images with box on W32

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Mar 2014 18:29:29 +0200

> Date: Thu, 27 Mar 2014 11:42:09 +0900
> From: YAMAMOTO Mitsuharu <[email-masked]>
> 
> Recently I found a bug (which is different from Bug#17114) in drawing
> images with box on the Mac port, and I suspect it also happens on W32
> because their code are similar (though I can't test it).  Could
> someone try if it is reproducible on W32 and if so, please try the
> patch at the end?
> 
> Steps to reproduce:
> 
>   1. $ emacs -Q -D &
>   2. (insert-image (create-image "splash.png")
> 	      (propertize " " 'face '(:box (:line-width 5)))) C-j
>   3. C-p C-p
> 
> Result:
> 
>   The left half of the character `t' just after the image gets erased.

Confirmed.  (And yes, you need to use the XPM image to reproduce the
problem; PNG doesn't.)

> === modified file 'src/w32term.c'
> *** src/w32term.c	2014-03-26 15:57:13 +0000
> --- src/w32term.c	2014-03-27 02:32:46 +0000

Thanks, I installed this with minor changes (to keep the original
code style intact).